
Katello - Feature #24179

API actions for System Purpose on Activation Keys

07/06/2018 01:28 AM - Jonathon Turel

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Activation Key   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As an API User I can set and modify the system purpose attributes on my activation

keys so that auto-attach can bind the best available subscriptions

Acceptance Criteria

system purpose attributes can be set when creating an activation key

system purpose attributes can be set on an existing activation key

system purpose attributes can be set to nil values (they are not required)

system purpose attributes are shown when retrieving activation key details

History

#1 - 07/06/2018 01:28 AM - Jonathon Turel

- Blocks Feature #24075: System Purpose P1, P2 added

#2 - 07/18/2018 04:47 PM - Jonathon Turel

- Target version set to Katello 3.9.0

#3 - 07/18/2018 06:47 PM - Jonathon Turel

- Triaged changed from No to Yes

#4 - 10/10/2018 05:14 PM - Jonathon Turel

- Blocks deleted (Feature #24075: System Purpose P1, P2)

#5 - 10/10/2018 05:15 PM - Jonathon Turel

- Target version changed from Katello 3.9.0 to Katello Backlog

#6 - 07/03/2019 08:51 PM - Jonathon Turel

- Status changed from New to Duplicate

- Target version changed from Katello Backlog to Katello Recycle Bin
